# Uses of Class
org.eclipse.gef.geometry.planar.Ellipse

Packages that use Ellipse
Package
Description
org.eclipse.gef.geometry.planar
This package provides support for geometric calculations based on shapes.

## Uses of Ellipse in org.eclipse.gef.geometry.planar

Methods in org.eclipse.gef.geometry.planar that return Ellipse
Modifier and Type
Method
Description
`Ellipse`
Ellipse.`getCopy()`
Returns a new `Ellipse` with the same location and size than this one.
Methods in org.eclipse.gef.geometry.planar with parameters of type Ellipse
Modifier and Type
Method
Description
`Point[]`
Ellipse.`getIntersections(Ellipse e2)`
Calculates the intersections of this `Ellipse` with the given other `Ellipse`.